## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 26
%bcond_without check
%global debug_package %{nil}

# reduce debuginfo verbosity to work around OOM problems
%global rustflags_debuginfo 0

%global crate prost

Name:           rust-prost
Version:        0.13.3
Release:        %autorelease
Summary:        Protocol Buffers implementation for the Rust Language

License:        Apache-2.0
URL:            https://crates.io/crates/prost
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop unused, benchmark-only criterion dev-dependency
Patch:          prost-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A Protocol Buffers implementation for the Rust Language.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no-recursion-limit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no-recursion-limit-devel %{_description}

This package contains library source intended for building other packages which
use the "no-recursion-limit" feature of the "%{crate}" crate.

%files       -n %{name}+no-recursion-limit-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+prost-derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+prost-derive-devel %{_description}

This package contains library source intended for building other packages which
use the "prost-derive" feature of the "%{crate}" crate.

%files       -n %{name}+prost-derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Mon Oct 07 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.3-1
- Update to version 0.13.3; Fixes RHBZ#2313984

* Wed Sep 18 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.2-1
- Update to version 0.13.2; Fixes RHBZ#2309106

* Tue Jul 30 2024 Fabio Valentini <decathorpe@gmail.com> - 0.13.1-1
- Update to version 0.13.1; Fixes RHBZ#2296372

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.12.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jun 19 2024 Fabio Valentini <decathorpe@gmail.com> - 0.12.6-1
- Update to version 0.12.6; Fixes RHBZ#2273688

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jan 24 2024 Peter Robinson <pbrobinson@gmail.com> - 0.10.4-1
- Revert "0.12.3"

* Fri Jan 19 2024 Peter Robinson <pbrobinson@gmail.com> - 0.12.3-1
- 0.12.3

* Sat Oct 28 2023 Fabio Valentini <decathorpe@gmail.com> - 0.10.4-4
- Regenerate with rust2rpm v25

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.10.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 28 2022 Fabio Valentini <decathorpe@gmail.com> - 0.10.4-1
- Update to version 0.10.4; Fixes RHBZ#2108594

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sun Feb 20 2022 Peter Robinson <pbrobinson@fedorapeople.org> - 0.8.0-1
- Update to 0.8.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Sun Jan 03 2021 Peter Robinson <pbrobinson@fedorapeople.org> - 0.7.0-1
- Update to 0.7.0

* Sun Aug 02 2020 Peter Robinson <pbrobinson@fedorapeople.org> - 0.6.1-1
- Initial package

## END: Generated by rpmautospec
